Skip to main content
POST
/
sessions
Create a NEO session
curl --request POST \
  --url https://demo.enneo.ai/api/mind/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ticketId": 123
}
'
{
  "session": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ticketId": 123,
    "lastActivityAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "participants": [
      {
        "id": 123,
        "name": "<string>"
      }
    ],
    "messageCount": 123,
    "costUsd": 123,
    "model": "<string>"
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT-based authentication

Body

application/json
ticketId
integer | null

Associated ticket ID

Response

Session created

session
object
success
boolean